""" Credits scene. """

from pgzero.constants import keys
from .base import Scene, ChangeSceneEvent


class CreditsScene(Scene):
    """ Credits scene. """

    def draw(self, screen):
        screen.clear()
        screen.draw.text("Credits", (300, 300))

    def on_key_down(self, key, mod, unicode):
        if key == keys.ESCAPE:
            from .menu import MenuScene
            return [ChangeSceneEvent(MenuScene())]
